# Uses of Enum
org.eclipse.birt.chart.model.attribute.ScaleUnitType

Packages that use ScaleUnitType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of ScaleUnitType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type ScaleUnitType
Modifier and Type
Field
Description
`static final List<ScaleUnitType>`
ScaleUnitType.`VALUES`
A public read-only list of all the 'Scale Unit Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return ScaleUnitType
Modifier and Type
Method
Description
`static ScaleUnitType`
ScaleUnitType.`get(int value)`
Returns the 'Scale Unit Type' literal with the specified integer value.
`static ScaleUnitType`
ScaleUnitType.`get(String literal)`
Returns the 'Scale Unit Type' literal with the specified literal value.
`static ScaleUnitType`
ScaleUnitType.`getByName(String name)`
Returns the 'Scale Unit Type' literal with the specified name.
`static ScaleUnitType`
ScaleUnitType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ScaleUnitType[]`
ScaleUnitType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of ScaleUnitType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return ScaleUnitType
Modifier and Type
Method
Description
`ScaleUnitType`
AttributeFactoryImpl.`createScaleUnitTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ScaleUnitType`
AttributeFactoryImpl.`createScaleUnitTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of ScaleUnitType in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return ScaleUnitType
Modifier and Type
Method
Description
`ScaleUnitType`
Scale.`getUnit()`
Returns the value of the 'Unit' attribute.
Methods in org.eclipse.birt.chart.model.component with parameters of type ScaleUnitType
Modifier and Type
Method
Description
`void`
Scale.`setUnit(ScaleUnitType value)`
Sets the value of the '`Unit`' attribute.

## Uses of ScaleUnitType in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return ScaleUnitType
Modifier and Type
Method
Description
`ScaleUnitType`
ScaleImpl.`getUnit()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type ScaleUnitType
Modifier and Type
Method
Description
`void`
ScaleImpl.`setUnit(ScaleUnitType newUnit)`